import { pgTable, uuid, text, timestamp } from "drizzle-orm/pg-core";

export const hubspotCompanyData = pgTable("hubspot_company_data", {
  id: uuid("id").defaultRandom().primaryKey(),

  companyId: text("company_id").notNull(),
  companyName: text("company_name"),
  groupId: text("group_id"),

  createdAt: timestamp("created_at", { precision: 6, withTimezone: true })
    .defaultNow()
    .notNull(),

  updatedAt: timestamp("updated_at", { precision: 6, withTimezone: true })
    .defaultNow()
    .$onUpdate(() => new Date())
    .notNull(),
});

